Bug 40183 - Updated Port audio/extace 1.4.5 -> 1.7.3
Summary: Updated Port audio/extace 1.4.5 -> 1.7.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maxim Sobolev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-04 14:00 UTC by Tilman Linneweh
Modified: 2002-08-30 14:55 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (435 bytes, patch)
2002-07-04 14:00 UTC, Tilman Linneweh
no flags Details | Diff
file.diff (394 bytes, patch)
2002-07-04 14:00 UTC, Tilman Linneweh
no flags Details | Diff
file.diff (718 bytes, patch)
2002-07-04 14:00 UTC, Tilman Linneweh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tilman Linneweh 2002-07-04 14:00:13 UTC
	[ CCed Maintainer, sobomax ]
	- Update to unbreak
	- USE_REINPLACE
	- USE_AUTOCONF because of the new patches.

Fix: #cvs diff -RuN .
cvs diff: Diffing .
PORTNAME=      extace
-PORTVERSION=   1.4.5
+PORTVERSION=   1.7.3
 CATEGORIES=    audio
 MASTER_SITES=  ${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=    eXtace
+MASTER_SITE_SUBDIR=    extace

 MAINTAINER=    sobomax@FreeBSD.org

-BROKEN=                "Configure fails"
-
 LIB_DEPENDS=   fftw.2:${PORTSDIR}/math/fftw

 USE_X_PREFIX=  yes
 USE_IMLIB=     yes
 USE_ESOUND=    yes
 WANT_GNOME=    yes
+USE_AUTOCONF=  yes
 USE_LIBTOOL=   yes
+USE_REINPLACE= yes
 CONFIGURE_ARGS=        --disable-alsa
 CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include -DHAVE_LIBFFTW" \
                LIBS="-L${LOCALBASE}/lib"
@@ -33,9 +33,10 @@
 .endif

 pre-patch:
-       @${PERL} -pi -e 's|-lpthread|${PTHREAD_LIBS}|g ; \
-               s|DATADIRNAME=lib|DATADIRNAME=share|g' ${WRKSRC}/configure
-       @find ${WRKSRC} -name "Makefile.in" | xargs ${PERL} -pi -e \
-               's|\$$\(datadir\)/gnome/|\$$\(datadir\)/|g'
+       @${REINPLACE_CMD} -e 's:-lpthread:${PTHREAD_LIBS}:g' ${WRKSRC}/configure.in;
+       @${REINPLACE_CMD} -e 's:-lpthread:${PTHREAD_LIBS}:g' ${WRKSRC}/src/Makefile.in
+       @${REINPLACE_CMD} -e 's:DATADIRNAME=lib:DATADIRNAME=share:g' ${WRKSRC}/configure.in
+       @find ${WRKSRC} -name "Makefile.in" | xargs ${REINPLACE_CMD} -e \
+               's:\$$\(datadir\)/gnome/:\$$\(datadir\)/:g'

 .include <bsd.port.post.mk>
New Patches:
cat files/patch-configure.in
@@ -198,8 +198,8 @@
 "
 exit 1
 fi
-LIBS=""
-AC_CHECK_LIB(gdk_imlib, gdk_imlib_render,,echo "Imlib not found!"; exit 0,[`gtk-config --libs` ])
+LIBS="-lpng -ltiff -lungif -L/usr/X11R6/lib"
+AC_CHECK_LIB(gdk_imlib, gdk_imlib_render,,echo "Imlib not found!"; exit 0,[`gtk12-config --libs` ])

 EXTACE_DATADIR="${prefix}/share/eXtace"
 AC_SUBST(EXTACE_DATADIR)
#cat files/patch-src-sound.c


-extace_LDADD = @EFENCE@ @GTK_LIBS@ @ESD_LIBS@ @EXTRA_LIBS@ @ALSA_LIBS@ -lgdk_imlib
+extace_LDADD = @EFENCE@ @GTK_LIBS@ @ESD_LIBS@ @EXTRA_LIBS@ @ALSA_LIBS@ -lgdk_imlib -lpng -lungif -ljpeg -ltiff

 LIBS = "-pthread"--zVue8FCxVv6Z8IL7VTPmedVMIW5Zk8Ds1YWsZLwJXA18psp3
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/extace/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- Makefile    18 May 2002 03:31:05 -0000      1.10
+++ Makefile    4 Jul 2002 12:42:42 -0000
@@ -6,22 +6,22 @@
 #
Comment 1 Patrick Li freebsd_committer 2002-07-04 17:45:22 UTC
Responsible Changed
From-To: freebsd-ports->sobomax

Over to maintainer
Comment 2 Maxim Sobolev freebsd_committer 2002-08-30 14:54:57 UTC
State Changed
From-To: open->closed

Update committed with some modifications. Thank you!